org.apache.cassandra.service

## Class AbstractReadExecutor.NeverSpeculatingReadExecutor

- java.lang.Object
- - org.apache.cassandra.service.AbstractReadExecutor
  - - org.apache.cassandra.service.AbstractReadExecutor.NeverSpeculatingReadExecutor

Enclosing class:
  AbstractReadExecutor

    public static class AbstractReadExecutor.NeverSpeculatingReadExecutor
    extends AbstractReadExecutor

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.service.AbstractReadExecutor

`AbstractReadExecutor.NeverSpeculatingReadExecutor`

### Field Summary

### Fields inherited from class org.apache.cassandra.service.AbstractReadExecutor

`command, handler, targetReplicas, traceState`

### Constructor Summary

Constructors
Constructor and Description
`NeverSpeculatingReadExecutor(Keyspace keyspace, ReadCommand command, ConsistencyLevel consistencyLevel, java.util.List<java.net.InetAddress> targetReplicas, long queryStartNanoTime)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `executeAsync()` send the initial set of requests
`java.util.Collection<java.net.InetAddress>` `getContactedReplicas()` Get the replicas involved in the [finished] request.
`void` `maybeTryAdditionalReplicas()` Perform additional requests if it looks like the original will time out.

### Methods inherited from class org.apache.cassandra.service.AbstractReadExecutor

`get, getReadExecutor, makeDataRequests, makeDigestRequests`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NeverSpeculatingReadExecutor

    public NeverSpeculatingReadExecutor(Keyspace keyspace,
                                        ReadCommand command,
                                        ConsistencyLevel consistencyLevel,
                                        java.util.List<java.net.InetAddress> targetReplicas,
                                        long queryStartNanoTime)

### Method Detail

#### executeAsync

    public void executeAsync()

Description copied from class: `AbstractReadExecutor`
send the initial set of requests

Specified by:
  `executeAsync` in class `AbstractReadExecutor`

#### maybeTryAdditionalReplicas

    public void maybeTryAdditionalReplicas()

Description copied from class: `AbstractReadExecutor`
Perform additional requests if it looks like the original will time out. May block while it waits to see if the original requests are answered first.

Specified by:
  `maybeTryAdditionalReplicas` in class `AbstractReadExecutor`

#### getContactedReplicas

    public java.util.Collection<java.net.InetAddress> getContactedReplicas()

Description copied from class: `AbstractReadExecutor`
Get the replicas involved in the [finished] request.

Specified by:
  `getContactedReplicas` in class `AbstractReadExecutor`
Returns:
  target replicas + the extra replica, *IF* we speculated.